Bug 468729 - krb5_cc_new_unique() fails
krb5_cc_new_unique() fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5 (Show other bugs)
5.2
All Linux
high Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE
:
Depends On:
Blocks: 409121
  Show dependency treegraph
 
Reported: 2008-10-27 13:52 EDT by Tim Waugh
Modified: 2009-01-20 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.6.1-30.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test for exercising krb5_cc_new_unique() (2.84 KB, text/plain)
2008-10-28 14:17 EDT, Nalin Dahyabhai
no flags Details

  None (edit)
Description Tim Waugh 2008-10-27 13:52:10 EDT
Description of problem:
In order to have functioning Kerberos support in CUPS the krb5_cc_new_unique() function in krb5 must be fixed to avoid this bug:
  http://krbdev.mit.edu/rt/Ticket/Display.html?id=5624

Version-Release number of selected component (if applicable):
krb5-1.6.1-29.el5
Comment 3 Nalin Dahyabhai 2008-10-27 17:07:39 EDT
Note to self: also needs to incorporate fixes for RT#5708, which is a bit larger.
Comment 6 Nalin Dahyabhai 2008-10-28 14:17:57 EDT
Created attachment 321715 [details]
test for exercising krb5_cc_new_unique()

Tim tells me that the release notes for the cups update includes this nugget: "Note that this requires a recent version of MIT Kerberos with a working krb5_cc_new_unique() function or Heimdal Kerberos."

This program creates a new unique ccache, copies the contents of the default ccache into the new one, runs 'klist' for both, and then exits.
Comment 13 errata-xmlrpc 2009-01-20 17:10:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0234.html

Note You need to log in before you can comment on or make changes to this bug.